Subject: Re: pkgsrc/mail/elm-me
To: Georg Schwarz <>
From: Michal Pasternak <>
List: tech-pkg
Date: 01/19/2004 00:03:11
Georg Schwarz [Mon, Jan 19, 2004 at 12:40:29AM +0100]:
> One way to do this in the Makefile would be
> TAR=${TAR}
> Is this a good approach?

Absolutley *not* .

> Maybe pkgsrc has already provisions for such cases readily available?

For per-package tool support:

	USE_GNU_TOOLS=sed grep

In more general cases: if such basic and simple utilities like cat(1) and
echo(1) are not compatible on your system, I'd rather consider upgrading
them, changing or /etc/mk.conf . Also, comments in mk/
should be useful for you. Remember, if specific package needs GNU version of
[whatever], place it in package Makefile. If your whole system seems
incompatible, don't touch package's Makefile, fix it on a lower level.